#!/usr/local/bin/perl
print "Content-type: text/html\n\n";

######################################################
sub getSubject {
	my $read = "";
	open(FILE, $_[0]);
	while (<FILE>) { $read .= $_; }
	close FILE;

	$read =~ s/{BODY}.*//igs;
	$read =~ s/.*{SUBJECT}//igs;

	# trim whitespace
	$read =~ s/^\s+//;
	$read =~ s/\s+$//;

	return $read;
}
######################################################


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# read in the toolbar
my $toolbar = "";
open(TOOLBAR, "toolbar.txt"); 
while (<TOOLBAR>){ $toolbar .= $_;  } 
close TOOLBAR;
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get all of the email files and display their
# subject and links to read the emails

my @emails = glob("emails/*.txt");
my $email_subjects = "";

for my $i(0..$#emails) {
	my $temp = $emails[$i];
	$temp =~ s/.*\///ig;
	$temp =~ s/\.txt//ig;

	$email_subjects .= "<TR><TD><A HREF=javascript:viewEmail('$temp');>" . getSubject($emails[$i]) . "</A></TD></TR>";	
}
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

print <<EOF ;
<HTML>

<HEAD>
<TITLE>Inbox</TITLE><LINK REL="stylesheet" TYPE="text/css" HREF="props.css">

<SCRIPT LANGUAGE=JavaScript>

function viewEmail(id) {

window.location = 'read.cgi?id='+id+'&adcount='+document.frm.cboAdCount.value;


}

</SCRIPT>

</HEAD>


<BODY>

$toolbar

<FORM METHOD=POST ACTION=read.cgi NAME=frm>
<BR><BR><CENTER><B><U>Inbox</U></B>
<BR><BR>Ads to display: <SELECT NAME=cboAdCount><OPTION VALUE=1>1</OPTION><OPTION VALUE=2>2</OPTION><OPTION VALUE=3>3</OPTION><OPTION VALUE=4>4</OPTION><OPTION VALUE=5>5</OPTION></SELECT></CENTER><BR><TABLE STYLE=font-family:verdana;font-size:11px; BORDER=1 ALIGN=CENTER>


$email_subjects

</TABLE></FORM></BODY></HTML>
EOF
exit;